<?php
session_start();


date_default_timezone_set('America/Lima');
$script_tz = date_default_timezone_get();

include "verifica.php";
include("../conexion.php");
include "correlativos.php";

@$xid_recuperado = $_REQUEST['xid_recuperado'];

@$xid = $_REQUEST['xid'];
@$xaccion = $_REQUEST['xaccion'];
@$xestado = $_REQUEST['xestado'];
@$xprd_codi = $_REQUEST['xprd_codi'];
@$xordcomdet_codi = $_REQUEST['xordcomdet_codi'];
@$xunimed_codi = $_REQUEST['xunimed_codi'];
@$xordcomdet_precio = $_REQUEST['xordcomdet_precio'];
@$xordcomdet_cantidad = $_REQUEST['xordcomdet_cantidad'];
@$xanotaciones = $_REQUEST['xanotaciones'];
@$xpagodocumento = $_REQUEST['xpagodocumento'];
@$xndocumento = $_REQUEST['xndocumento'];

@$xfecha_vencimiento = $_REQUEST['xfecha_vencimiento'];
@$xpercepcion = $_REQUEST['xpercepcion'];

@$xordcomdet_isc = $_REQUEST['xordcomdet_isc'];

@$xvalor_igv = $_REQUEST['xvalor_igv'];
@$xestado_chk_igv = $_REQUEST['xestado_chk_igv'];

@$xusuario_sesion=$_SESSION['nombre_usuario'];


@$xfecha=$_REQUEST['xfecha'];
@$xproveedor=$_REQUEST['xproveedor'];
@$xpagotipo=$_REQUEST['xpagotipo'];

@$xidtrans=$_REQUEST['xidtrans'];
@$xidtrans_temporal=$_REQUEST['xidtrans_temporal'];

@$xpedido_recuperado=$_REQUEST['xpedido_recuperado'];
@$xpedido_recuperado_requerimiento=$_REQUEST['xpedido_recuperado_requerimiento'];

@$xordcom_tipo=$_REQUEST['xordcom_tipo'];

@$xcuentacontable=$_REQUEST['xcuentacontable'];
@$xmonto_isc=$_REQUEST['xmonto_isc'];

@$xcambio_dolar=$_REQUEST['xcambio_dolar'];
@$xcosto_flete=$_REQUEST['xcosto_flete'];	

@$ztotal=$_REQUEST['ztotal'];	


$cdet = new Comprasdetalle;



switch($xaccion){
	
	case "adicionar": 
		if($cdet->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";	
			//alert("sisisi");     
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($cdet->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados satisfactoriamente.");
			//parent.parent.location.href="../compras.php";		
			parent.parent.document.form_buscar.submit();			
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($cdet->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			//alert("Item eliminado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";				
			</script>			
			<?php
			
		}		
		break;
		
	case "guardar_unidad":
	
		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = true;
		</script>			
		<?php		
	
		if($cdet->guardar_unidad($conexion)==1){
		
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = false;
			</script>			
			<?php
			
		}		
		break;		

	case "guardar_cantidad":
	
		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = true;
		</script>			
		<?php		
	
		if($cdet->guardar_cantidad($conexion)==1){
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = false;
			</script>			
			<?php
			
		}		
		break;		
		

	case "guardar_precio":

		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = true;
		</script>			
		<?php	
	
		if($cdet->guardar_precio($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = false;
			</script>			
			<?php
			
		}		
		break;	


	case "guardar_igv":

		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = true;
		</script>			
		<?php	
	
		if($cdet->guardar_igv($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = false;
			</script>			
			<?php
			
		}		
		break;	


		
	case "guardar_isc":

		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = true;
		</script>			
		<?php	
	
		if($cdet->guardar_isc($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_compras').disabled = false;
			</script>			
			<?php
			
		}		
		break;		
			
		
	case "guardar_nueva_compra":
		if($cdet->guardar_nueva_compra($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//parent.parent.document.getElementById('xidtrans').value = "";	
			alert("Compra guardado satisfactoriamente.")			
			//parent.parent.location.href="../compras.php";			
			parent.parent.document.form_buscar.submit();			
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;						

	case "adicionar_temporal_modificar": 
		if($cdet->adicionar_temporal_modificar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";	
			//alert('sssss...');
			</script>			
			<?php
			
		}		
		break;
		
	case "generar_idtrans":
		if($cdet->generar_idtrans($conexion)==1){
			//echo "generar_idtrans";
			?>			
			<script language="javascript">
			//alert("idtrans generado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "activar":
		if($cdet->activar($conexion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;
		
	case "adicionar_temporal_recuperar_almacen": 
		if($cdet->adicionar_temporal_recuperar_almacen($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";
			parent.parent.busca_almacen_compra_cerrar()	
			//alert('sssss...');
			
			</script>			
			<?php
			
		}		
		break;
		




}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Comprasdetalle{

	//Adiciona nuevo ITEM
	function adicionar($conexion){
		global $xid, $xprd_codi, $xidtrans, $xidtrans_temporal;
		
		$xfechahora = date('Y-m-d H:i:s');	

		$xprd_afecto_igv = 0;
		$r_unidad = mysqli_query($conexion,"SELECT prd_unidad_minima, prd_afecto_igv, prd_afecto_isc FROM productos p WHERE prd_codi = $xprd_codi;");
		while($row_unidad = mysqli_fetch_array($r_unidad)){
			$xprd_unidad_minima = $row_unidad['prd_unidad_minima'];
			$xprd_afecto_igv = $row_unidad['prd_afecto_igv'];
			$xprd_afecto_isc = $row_unidad['prd_afecto_isc'];
		}
		
		
		$r_busca_producto = mysqli_query($conexion,"SELECT prd_codi_fk FROM temporal_orden_compra_detalle 
																					WHERE prd_codi_fk=$xprd_codi
																					AND idtrans_temporal='$xidtrans_temporal';");
		if(mysqli_num_rows($r_busca_producto) > 0){
			?>
			<script language="javascript">
			alert("ADVERTENCIA: EL PRODUCTO FUE AGREGADO NUEVAMENTE.");
			</script>
			<?php
		}
		
							
		$r = mysqli_query($conexion,"INSERT INTO temporal_orden_compra_detalle (ordcomdet_fechahora, 
																			prd_codi_fk, 
																			idtrans,
																			idtrans_temporal,
																			unimed_codi_fk,
																			ordcomdet_igv_afectado,
																			ordcomdet_isc_afectado) 
																		VALUES('$xfechahora',
																			$xprd_codi,
																			$xidtrans,
																			'$xidtrans_temporal',
																			'$xprd_unidad_minima',
																			'$xprd_afecto_igv',
																			'$xprd_afecto_isc');");
				
		if($r){		
			return 1;
		}	
				
	}	


	//Guarda Modificaciones de orden de compra
	function modificar($conexion){
		
		global $xid,$xprc_codi,$xordcomdet_codi,$xordcomdet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones, $xusuario_sesion,$xpagodocumento,$xndocumento, $xidtrans_temporal, $xpedido_recuperado, $xfecha_vencimiento, $xpercepcion, $xcuentacontable, $xmonto_isc, $xcambio_dolar, $xcosto_flete, $ztotal, $xpedido_recuperado_requerimiento;

		$xflete_prorrateado = $xcosto_flete / $ztotal;
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);	
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);			
		
		//ACTUALIZA LA CABECERA DE LA ORDEN DE COMPRA
		$r2=mysqli_query($conexion,"UPDATE orden_compra set ordcom_fecha='$xfecha',																		 
														per_codi_fk='$xproveedor',
														pagtip_codi_fk='$xpagotipo',
														ordcom_anotaciones='$xanotaciones',
														ordcom_usu_modifica='$xusuario_sesion',
														docpag_codi_fk='$xpagodocumento',
														ordcom_docpagnum='$xndocumento',
														ordcom_fecha_vence='$xfecha_vencimiento',
														ordcom_percepcion='$xpercepcion',
														ordcom_cc_codi_fk='$xcuentacontable',
														ordcom_isc='$xmonto_isc',
														ordcom_dolar='$xcambio_dolar',
														ordcom_flete='$xcosto_flete'
												WHERE idtrans='$xidtrans';");																								
														
		if($r2){		
		
			$r_trans = mysqli_query($conexion, "SELECT ordcom_codi FROM orden_compra o where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xordcom_codi=$row_trans['ordcom_codi'];
			}
		
		//ELIMINACI�N DE LOS DETALLES DE COMPRA ELIMINADOS
			//$r_antiguos = mysqli_query($conexion,"SELECT o.* FROM orden_compra_detalle o LEFT JOIN temporal_orden_compra_detalle t ON t.ordcomdet_codi_fk = o.ordcomdet_codi WHERE o.idtrans='$xidtrans' AND t.idtrans IS NULL order by o.ordcomdet_codi;");
			
			$r_antiguos = mysqli_query($conexion,"SELECT * from orden_compra_detalle o WHERE o.idtrans='$xidtrans' order by o.ordcomdet_codi;");									
			while($row_antiguos=mysqli_fetch_array($r_antiguos)){
				$xordcomdet_codi=$row_antiguos['ordcomdet_codi'];
				
				$r_antiguos_verifica = mysqli_query($conexion,"SELECT * from temporal_orden_compra_detalle t 
															WHERE t.ordcomdet_codi_fk=$xordcomdet_codi 
															AND t.idtrans='$xidtrans' 
															AND t.idtrans_temporal='$xidtrans_temporal' 
															group by t.ordcomdet_codi_fk order by t.ordcomdet_codi;");
				if(mysqli_num_rows($r_antiguos_verifica)==0){
								
					$r_elimina_antiguos = mysqli_query($conexion,"DELETE FROM orden_compra_detalle WHERE ordcomdet_codi=$xordcomdet_codi;");
				}	
			}
			
		//ACTUALIZACION DE LOS DETALLES DE COMPRA MODIFICADOS
			$r_actualizados = mysqli_query($conexion,"SELECT o.ordcomdet_codi as t_ordcomdet_codi, t.* 
													FROM orden_compra_detalle o 
													LEFT JOIN temporal_orden_compra_detalle t ON t.ordcomdet_codi_fk = o.ordcomdet_codi 
													WHERE o.idtrans='$xidtrans' 
														AND t.idtrans_temporal='$xidtrans_temporal'  
														AND t.idtrans IS NOT NULL 
													order by o.ordcomdet_codi;");
			while($row_actualizados=mysqli_fetch_array($r_actualizados)){
						
				$xordcomdet_codi = $row_actualizados['t_ordcomdet_codi'];
				$xprd_codi_fk = $row_actualizados['prd_codi_fk'];
				$xunimed_codi_fk = $row_actualizados['unimed_codi_fk'];
				$xordcomdet_precio = $row_actualizados['ordcomdet_precio'];
				$xordcomdet_cantidad = $row_actualizados['ordcomdet_cantidad'];						
				$xordcomdet_isc = $row_actualizados['ordcomdet_isc'];						
							
				$r_modifica_actualizados = mysqli_query($conexion,"UPDATE orden_compra_detalle set unimed_codi_fk = $xunimed_codi_fk,
																									ordcomdet_precio = $xordcomdet_precio,
																									ordcomdet_cantidad = $xordcomdet_cantidad,
																									ordcomdet_isc = $xordcomdet_isc,
																									ordcomdet_flete_unitario = $xflete_prorrateado
																				 WHERE ordcomdet_codi=$xordcomdet_codi;");
																				 
				
			}
			
		
			
			
			//INSERCCION DE LOS NUEVOS DETALLES DE COMPRA
			$r1 = mysqli_query($conexion,"SELECT t.* FROM temporal_orden_compra_detalle t 
											LEFT JOIN orden_compra_detalle o ON t.ordcomdet_codi_fk = o.ordcomdet_codi 
											WHERE t.idtrans='$xidtrans' 
												AND t.idtrans_temporal='$xidtrans_temporal' 
												AND o.idtrans IS NULL;");	
			
			while($row1=mysqli_fetch_array($r1)){
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xordcomdet_precio=$row1['ordcomdet_precio'];
				$xordcomdet_cantidad=$row1['ordcomdet_cantidad'];
				$xordcomdet_isc=$row1['ordcomdet_isc'];
				$xordcomdet_igv=$row1['ordcomdet_igv'];				
								
				$xordcomdet_igv_afectado=$row1['ordcomdet_igv_afectado'];
				$xordcomdet_isc_afectado=$row1['ordcomdet_isc_afectado'];
				
				$xfechahora = date('Y-m-d H:i:s');												
				
				$r=mysqli_query($conexion,"INSERT INTO orden_compra_detalle (ordcomdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				ordcomdet_precio,
																				ordcomdet_cantidad,
																				ordcom_codi_fk,
																				idtrans,
																				ordcomdet_isc,
																				ordcomdet_igv,
																				ordcomdet_igv_afectado,
																				ordcomdet_isc_afectado,
																				ordcomdet_flete_unitario
																				) 
																		VALUES('$xfechahora',
																				$xprd_codi_fk,
																				$xunimed_codi_fk,
																				$xordcomdet_precio,
																				$xordcomdet_cantidad,
																				$xordcom_codi,
																				'$xidtrans',
																				$xordcomdet_isc,
																				$xordcomdet_igv,
																				'$xordcomdet_igv_afectado',
																				'$xordcomdet_isc_afectado',
																				'$xflete_prorrateado');");				
			}
			
			
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_orden_compra_detalle 
															WHERE idtrans='$xidtrans' 
															AND idtrans_temporal='$xidtrans_temporal'; ");	
	
			if($r_limpiando_temporal){		
				return 1;
			}	
			
			//return 1;
		
		}		
	
	}	
	




	//Elimina
	function eliminar($conexion){
		global $xid,$xprc_codi,$xordcomdet_codi;		

		$r = mysqli_query($conexion,"delete from temporal_orden_compra_detalle where ordcomdet_codi = $xordcomdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda unidad
	function guardar_unidad($conexion){
		global $xid,$xprc_codi,$xordcomdet_codi,$xunimed_codi;		

		$r = mysqli_query($conexion,"update temporal_orden_compra_detalle set unimed_codi_fk='$xunimed_codi' 
																		where ordcomdet_codi = $xordcomdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda cantidad
	function guardar_cantidad($conexion){
		global $xid,$xprc_codi,$xordcomdet_codi,$xordcomdet_cantidad;		

		$r = mysqli_query($conexion,"update temporal_orden_compra_detalle set ordcomdet_cantidad='$xordcomdet_cantidad' 
																		where ordcomdet_codi = $xordcomdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		

	//Guarda precio
	function guardar_precio($conexion){
		global $xid,$xprc_codi,$xordcomdet_codi,$xordcomdet_precio, $xvalor_igv;		

		$r = mysqli_query($conexion,"update temporal_orden_compra_detalle set ordcomdet_precio='$xordcomdet_precio',
																		ordcomdet_igv='$xvalor_igv'
																		where ordcomdet_codi = $xordcomdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	function guardar_igv($conexion){
		global $xid,$xprc_codi,$xordcomdet_codi, $xvalor_igv, $xestado_chk_igv;	
		
		?>
		<script language="javascript">
		//alert("siiii: <?php echo $xvalor_igv."  --- ".$xordcomdet_codi; ?>");
		</script>
		<?php	

		$r = mysqli_query($conexion,"update temporal_orden_compra_detalle set ordcomdet_igv ='$xvalor_igv',
																	 ordcomdet_igv_afectado ='$xestado_chk_igv'
																		where ordcomdet_codi = $xordcomdet_codi;");
		
		if($r){		
			return 1;
		}	
	}	

	//Guarda isc
	function guardar_isc($conexion){
		global $xid,$xprc_codi,$xordcomdet_codi,$xordcomdet_isc;		
		
		$r = mysqli_query($conexion,"update temporal_orden_compra_detalle set ordcomdet_isc='$xordcomdet_isc' 
																		where ordcomdet_codi = $xordcomdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda nueva compra
	function guardar_nueva_compra($conexion){
	
		global $xid,$xprc_codi,$xordcomdet_codi,$xordcomdet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$cor,$xpagodocumento,$xndocumento,$xusuario_sesion, $xpedido_recuperado, $xfecha_vencimiento, $xpercepcion, $xordcom_tipo, $xcuentacontable, $xmonto_isc, $xcambio_dolar, $xcosto_flete, $ztotal, $xpedido_recuperado_requerimiento;
						
		$xflete_prorrateado = $xcosto_flete / $ztotal;
		
		$correlativo = $cor->compra($conexion);
		
		$s_igv = $_SESSION['s_igv'];		
		$s_empresa = $_SESSION['s_empresa'];	
		$xfechahora = date('Y-m-d H:i:s');	
		
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);							
				
		$r2=mysqli_query($conexion,"INSERT INTO orden_compra (ordcom_fechahora,
																		ordcom_fecha,
																		ordcom_numero,																		 
																		per_codi_fk,
																		pagtip_codi_fk,
																		idtrans,
																		ordcom_anotaciones,
																		ordcom_usu_crea,
																		docpag_codi_fk,
																		ordcom_docpagnum,
																		ordcom_igv_porcentaje,
																		emp_codi_fk,
																		req_codi_fk,
																		ordcom_fecha_vence,
																		ordcom_percepcion,
																		ordcom_tipo,
																		ordcom_cc_codi_fk,
																		ordcom_isc,
																		ordcom_dolar,
																		ordcom_flete) 
																VALUES('$xfechahora',
																		'$xfecha',
																		'$correlativo',
																		$xproveedor,
																		$xpagotipo,
																		'$xidtrans',
																		'$xanotaciones',
																		'$xusuario_sesion',
																		'$xpagodocumento',
																		'$xndocumento',
																		$s_igv,
																		'$s_empresa',
																		'$xpedido_recuperado_requerimiento',
																		'$xfecha_vencimiento',
																		'$xpercepcion',
																		'$xordcom_tipo',
																		'$xcuentacontable',
																		'$xmonto_isc',														
																		'$xcambio_dolar',
																		'$xcosto_flete');");				
		
		if($r2){		
		
			$r_trans = mysqli_query($conexion, "SELECT ordcom_codi FROM orden_compra o where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xordcom_codi=$row_trans['ordcom_codi'];
			}
		
			$r1 = mysqli_query($conexion,"SELECT * FROM temporal_orden_compra_detalle t WHERE idtrans='$xidtrans' order by ordcomdet_codi;");	
			while($row1=mysqli_fetch_array($r1)){
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xordcomdet_precio=$row1['ordcomdet_precio'];
				$xordcomdet_cantidad=$row1['ordcomdet_cantidad'];
				$xordcomdet_isc=$row1['ordcomdet_isc'];
				
				$xordcomdet_igv=$row1['ordcomdet_igv'];
				$xordcomdet_igv_afectado=$row1['ordcomdet_igv_afectado'];	
				$xordcomdet_isc_afectado=$row1['ordcomdet_isc_afectado'];												
				
				$xfechahora = date('Y-m-d H:i:s');												
				
				$r=mysqli_query($conexion,"INSERT INTO orden_compra_detalle (ordcomdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,
																				ordcomdet_precio,
																				ordcomdet_cantidad,
																				ordcom_codi_fk,
																				idtrans,
																				ordcomdet_isc,
																				ordcomdet_igv,
																				ordcomdet_igv_afectado,
																				ordcomdet_isc_afectado,
																				ordcomdet_flete_unitario) 
																		VALUES('$xfechahora',
																				$xprd_codi_fk,
																				$xunimed_codi_fk,
																				$xordcomdet_precio,
																				$xordcomdet_cantidad,
																				$xordcom_codi,
																				'$xidtrans',
																				$xordcomdet_isc,
																				$xordcomdet_igv,
																				$xordcomdet_igv_afectado,
																				$xordcomdet_isc_afectado,
																				$xflete_prorrateado);");				
			}
			
			
			
			if(trim($xpedido_recuperado)!=""){					
				$r33=mysqli_query($conexion,"INSERT INTO orden_compra_almacen (ordcomalm_fechahora,
																				ordcom_codi_fk,
																				opealm_codi_fk) 
																		VALUES('$xfechahora',
																				$xordcom_codi,
																				$xpedido_recuperado);");
				
			}
			

			
						
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_orden_compra_detalle WHERE idtrans='$xidtrans'; ");		
			if($r_limpiando_temporal){		
				return 1;
			}	
		
		}		

	}		



	//Adiciona temporal para modificar
	function adicionar_temporal_modificar($conexion){
		global $xid, $xidtrans, $xidtrans_temporal;
		
		$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_orden_compra_detalle 
														WHERE idtrans='$xidtrans' 
														AND idtrans_temporal='$xidtrans_temporal' ; ");	
	
			if($r_limpiando_temporal){		
		
				//$r2=mysqli_query($conexion,"SELECT od.* FROM orden_compra_detalle od INNER JOIN orden_compra o ON od.ordcom_codi_fk=o.ordcom_codi WHERE o.idtrans='$xidtrans' order by ordcomdet_codi;");

				$r1 = mysqli_query($conexion,"SELECT od.* FROM orden_compra_detalle od 
												INNER JOIN orden_compra o ON od.ordcom_codi_fk=o.ordcom_codi 
												WHERE o.idtrans='$xidtrans' 
												order by ordcomdet_codi;");	
				while($row1=mysqli_fetch_array($r1)){
				
					$xprd_codi_fk=$row1['prd_codi_fk'];
					$xunimed_codi_fk=$row1['unimed_codi_fk'];
					$xordcomdet_precio=$row1['ordcomdet_precio'];
					$xordcomdet_cantidad=$row1['ordcomdet_cantidad'];		
					$xordcomdet_codi=$row1['ordcomdet_codi'];
					
					$xordcomdet_isc=$row1['ordcomdet_isc'];	
					
					$xordcomdet_igv=$row1['ordcomdet_igv'];
					$xordcomdet_igv_afectado=$row1['ordcomdet_igv_afectado'];		
					$xordcomdet_isc_afectado=$row1['ordcomdet_isc_afectado'];	
					
					$xordcomdet_cantidad_devolver = $row1['ordcomdet_cantidad_devolver'];
					$xordcomdet_cantidad_devolver_temporal = $row1['ordcomdet_cantidad_devolver_temporal'];					
					$xordcomdet_precio_descuento = $row1['ordcomdet_precio_descuento'];
					$xordcomdet_precio_descuento_temporal = $row1['ordcomdet_precio_descuento_temporal'];
					
																									
					$xfechahora = date('Y-m-d H:i:s');																		
					
					$r=mysqli_query($conexion,"INSERT INTO temporal_orden_compra_detalle (ordcomdet_fechahora, 
																					prd_codi_fk,
																					unimed_codi_fk,
																					ordcomdet_precio,
																					ordcomdet_cantidad,
																					ordcomdet_codi_fk,
																					idtrans,
																					idtrans_temporal,
																					ordcomdet_isc,
																					ordcomdet_igv,
																					ordcomdet_igv_afectado,
																					ordcomdet_isc_afectado,
																					ordcomdet_cantidad_devolver,
																					ordcomdet_cantidad_devolver_temporal,
																					ordcomdet_precio_descuento,
																					ordcomdet_precio_descuento_temporal
																					) 
																			VALUES('$xfechahora',
																					$xprd_codi_fk,
																					$xunimed_codi_fk,
																					$xordcomdet_precio,
																					$xordcomdet_cantidad,
																					$xordcomdet_codi,
																					'$xidtrans',
																					'$xidtrans_temporal',
																					$xordcomdet_isc,
																					$xordcomdet_igv,
																					$xordcomdet_igv_afectado,
																					$xordcomdet_isc_afectado,
																					$xordcomdet_cantidad_devolver,
																					$xordcomdet_cantidad_devolver_temporal,
																					$xordcomdet_precio_descuento,
																					$xordcomdet_precio_descuento_temporal
																					);");				
				}
							
			}			
			
				
		//$r=mysqli_query($conexion,"INSERT INTO temporal_orden_compra_detalle (ordcomdet_fechahora, prd_codi_fk, idtrans) VALUES(NOW(),$xprd_codi,$xidtrans);");
				
		//if($r){		
			return 1;
		//}	
				
	}	



	//Generar Idtrans	
	function generar_idtrans(){
							
		$nu = "9999999999"; 
		$xnu = time().rand(1,$nu);
		
		?>			
		<script language="javascript">
		parent.document.getElementById('xidtrans').value = "<?php echo $xnu; ?>";
		</script>			
		<?php
		
		return 1;	

	}



	//Activa una compra
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;			

		$r = mysqli_query($conexion,"update orden_compra set ordcom_estado = $xestado,
															 ordcom_usu_activa = '$xusuario_sesion' 
													   where ordcom_codi = $xid;");
		
		if($r){		

			return 1;
		}		
	}	





	// recuperar
	function adicionar_temporal_recuperar_almacen($conexion){
		global $xid, $xidtrans, $xid_recuperado, $xop2, $xidtrans_temporal;
		
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_orden_compra_detalle 
															WHERE idtrans='$xidtrans' 
															AND idtrans_temporal='$xidtrans_temporal'; ");	
		
				if($r_limpiando_temporal){										
				
					?>
					<script language="javascript">
					//alert("HASTA AQUI 3 <?php echo $xid_recuperado." - ".$xidtrans." - ".$xidtrans_temporal; ?> ");
					</script>
					<?php
											
					//$r1=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi WHERE o.ordped_codi=$xid_recuperado order by ordpeddet_codi;");	
					
					$r1=mysqli_query($conexion,"SELECT oad.* FROM operacion_almacen_detalle oad
											INNER JOIN operacion_almacen oa ON oa.opealm_codi = oad.opealm_codi_fk
											WHERE oa.opealm_codi = $xid_recuperado
											order by oad.opealmdet_codi;");	
										
					$xopealmdet_cantidad=0;
					
					while($row1=mysqli_fetch_array($r1)){													
															
						$xprd_codi_fk = $row1['prd_codi_fk'];
						$xunimed_codi_fk = $row1['unimed_codi_fk'];
						$xordpeddet_cantidad = $row1['opealmdet_cantidad'];	
						$xordpeddet_precio = 0;
						//$xopealmdet_codi=$row1['opealmdet_codi'];
						//$xopealm_codi_fk=$row1['opealm_codi_fk'];	
						
						//$xordcomdet_isc = $row1['ordcomdet_isc'];
						//$xordcomdet_igv = $row1['ordcomdet_igv'];
						//$xordcomdet_igv_afectado = $row1['ordcomdet_igv_afectado'];
						
						$xprd_afecto_igv = 0;
						$r_unidad = mysqli_query($conexion,"SELECT prd_unidad_minima, prd_afecto_igv, prd_afecto_isc FROM productos p WHERE prd_codi = $xprd_codi_fk;");
						while($row_unidad = mysqli_fetch_array($r_unidad)){
							//$xprd_unidad_minima = $row_unidad['prd_unidad_minima'];
							$xprd_afecto_igv = $row_unidad['prd_afecto_igv'];
							$xprd_afecto_isc = $row_unidad['prd_afecto_isc'];							
						}
	
						$xfechahora = date('Y-m-d H:i:s');			
	
						$r=mysqli_query($conexion,"INSERT INTO temporal_orden_compra_detalle (ordcomdet_fechahora, 
																						prd_codi_fk,
																						unimed_codi_fk,
																						ordcomdet_cantidad,
																						ordcomdet_precio,																						
																						idtrans,
																						idtrans_temporal,
																						ordcomdet_igv_afectado,
																						ordcomdet_isc_afectado
																						) 
																				VALUES('$xfechahora',
																						$xprd_codi_fk,
																						$xunimed_codi_fk,
																						$xordpeddet_cantidad,
																						$xordpeddet_precio,																						
																						'$xidtrans',
																						'$xidtrans_temporal',
																						$xprd_afecto_igv,
																						$xprd_afecto_isc
																						);");
					}
									
				}								
				return 1;				
	}		
	


}








?>

